Subject: Re: bug#47865: Missing dependency for sysv-init

From: Leo Famulari <[email-masked]>
Date: Sun, 18 Apr 2021 13:13:04 -0400

On Sun, Apr 18, 2021 at 09:15:09AM +0200, Gabriel Hondet wrote:
> I installed Guix on Devuan with SysV-init, but the script copied in
> /etc/init.d/ uses the command "daemonize" which isn't listed in the
> dependencies of "guix-install.sh". Consequently, guix is installed but
> cannot be started, the command
> 
>     service guix-daemon start
> 
> returns
> 
>     /etc/init.d/guix-daemon: line 32: daemonize: command not found

Do you know where this `daemonize` command is supposed to come from? I
don't see a package with this name in Guix. Is it part of Devuan?